#! /bin/bash

# Read in language
source ${BBROOTDIR}/lang/${BBLANG}/datadefine.lang

wait_for_enter()
{
    echo $bb_wfe_1
    while true; do
	read choice
	if [[ "$choice" = "" ]]; then
	    break
	else
	    continue
	fi
    done
}


#####PROGRAM START#####
while true; do
        # <colors>
    BBCOLOROFF="\033[1;0m"    # standard color
    BBHEADCOLOR="\033[1;32m"  # green
    BBMAINCOLOR="\033[1;37m"  # white
    BBSUBCOLOR="\033[1;36m"   # blue
    BBTABLECOLOR="\033[1;31m" # red
    BBINPUTCOLOR="\033[1;35m" # lilac
        # </colors>
    setterm -clear
        # <table>
    echo -e "${BBTABLECOLOR}${BBDECOLINE}"
    echo -e "${BBTABLECOLOR}|${BBHEADCOLOR} ${BBVERSION} ${BBTABLECOLOR}|"
    echo -e "${BBTABLECOLOR}${BBDECOLINE}"
    echo -e "${BBTABLECOLOR}|"
    echo -e "${BBTABLECOLOR}|-(${BBSUBCOLOR}$bb_mnt_menu_title${BBTABLECOLOR})"
    echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 1)$bb_dc_menu_1${BBBURNDIR}"
    echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 2)$bb_dc_menu_2${BBBURNDIR}"
    echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 3)$bb_dc_menu_3${BBBURNDIR}"
    echo -e "${BBTABLECOLOR}|${BBMAINCOLOR} 0)$bb_dc_menu_0"
    echo -e "${BBTABLECOLOR}|"
    echo -n -e "${BBINPUTCOLOR}$bb_mnt_menu_input[0-3] |>${BBMAINCOLOR} "
    read action
    echo -e "${BBCOLOROFF}"
        # </table>
    
    case $action in
	1)      # Copy Link data
	    cd ${BBBURNDIR}
	    echo $bb_dc_explain1
	    echo "$bb_dc_explain2a${BBBURNDIR}$bb_dc_explain2b"
	    echo $bb_dc_explain3
	    echo $bb_dc_explain4
	    echo $bb_dc_explain5
	    echo $bb_dc_explain6
	    echo $bb_dc_explain7
	    echo $bb_dc_explain8
	    bash
	    continue
	    ;;
	2)	# View what's in it
	    ls -lhgGL --color ${BBBURNDIR}
	    wait_for_enter
	    continue
	    ;;
	3)      # Delete data
	    ls -lhgGL --color ${BBBURNDIR}
	    echo; echo $bb_dc_ch3_1
	    while true; do
		read choice
		if [[ "$choice" = "y" ]]; then
		    rm -rf ${BBBURNDIR}/*
		    echo; echo $bb_dc_ch3_2
		    break
		else
		    echo; echo $bb_dc_ch3_3
		    break
		fi
	    done
	    wait_for_enter
	    ;;
	0)	# Exit
	    sleep 1s
	    break
	    ;;
	*)
	    echo -e "$bb_dc_menu_err 0 - 2"
	    sleep 2s
	    continue
	    ;;
    esac
done
